* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
  scroll-padding-top: 50px;
}

body {
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  margin-top: 140px;
}

#header {
  width: 100%;
  height: 85px;
  padding-bottom: 20px;
  position: fixed;
  top: 0;
  background-color: white;
  box-shadow: 0 2px 4px gray;
  display: flex;
  justify-content: space-between;
  align-items: end;
  z-index: 10;
}

.logo {
  display: block;
  height: 100px;
  margin-bottom: -20px;
}

.navbar {
  background-color: transparent;
  padding-right: 40px;
}

.navbar ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
}

.navbar li {
  float: right;
  margin-left: 15px;
}

.nav {
  font-size: 14px;
}

.navbar .mavi {
  background-color: red;
  color: white;
}
.navbar .mavi:hover {
  background-color: rgba(255, 0, 0, 0.2);
  color: red;
  text-decoration: none;
}

.navbar a {
  display: block;
  color: black;
  text-align: center;
  padding: 14px 8px;
  text-decoration: none;
}

.navbar a:hover {
  color: black;
  text-decoration: underline;
  text-decoration-thickness: 1.5px;
}

.dropdown {
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9ab;
  min-width: 130px;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  display: block;
  text-decoration: none;
}

.dropdown-content a:hover {
  background-color: #ddd;
}

.dropdown:hover .dropdown-content {
  display: block;
}

@media screen and (max-width: 600px) {
  #header {
    height: 160px;
    align-items: center;
    justify-content: space-between;
    display: fixed;
  }

  .navbar ul {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    width: 100%;
    padding-top: 40px;
  }
  .slideshow-container img {
    margin-top: 80px;
  }
}

/*----------Main----------*/

.slideshow-container {
  position: relative;
  margin-bottom: 20px;
  margin-top: -60px;
}
.mySlides {
  display: none;
}

.slideshow-container:hover .text {
  opacity: 1;
  background-color: rgba(255, 0, 0, 0.3);
}

.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

.dots {
  margin-top: -170px;
  margin-bottom: 30px;
}

.fade {
  animation-name: fade;
  animation-duration: 2s;
}

@keyframes fade {
  from {
    opacity: 0.4;
  }
  to {
    opacity: 1;
  }
}

p {
  font-size: 16px;
}
#postlinks {
  color: black;
  text-decoration: none;
}
#postlinks:active {
  color: black;
}
#postlinks:hover {
  color: rgba(0, 0, 0, 0.7);
  text-decoration: underline;
  cursor: pointer;
}

.my-dog {
  height: auto;
  position: relative;
  margin-top: 100px;
  background-color: #ebddb9;
  padding-bottom: 100px;
  padding-top: 60px;
}

.my-dog img {
  width: 100%;
  height: auto;
  z-index: -1;
}

.my-dog .img-buttons {
  position: absolute;
  inset: 0;
  display: grid;
  grid-template-columns: repeat(4, 20%);
  grid-template-rows: 100%;
  left: 15%;
  top: 60%;
  height: 20%;
  width: 80%;
  gap: 7%;
}

.img-buttons .my-dog-buttons {
  border-radius: 50%;
}
.my-dog-buttons img {
  border-radius: 50%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  text-align: center;
  transition: 0.3s ease-in-out;
}
.my-dog-buttons img:hover {
  cursor: pointer;
  transform: scale(1.07);
  transform-origin: bottom;
  box-shadow: 0px 6px 10px black;
}

.caption {
  padding-top: 10%;
}
.caption p {
  font-size: 60%;
  text-align: center;
}
.caption h3 {
  font-size: 90%;
  text-align: center;
  text-wrap: nowrap;
}

@media screen and (max-width: 600px) {
  * {
    scroll-padding-top: 130px;
  }
  .large-adult {
    padding-top: 130px;
    background-color: #ebddb9;
    margin-top: 0;
  }
  .large-adult .description {
    padding-top: 110px;
  }
  main {
    margin-right: -13px;
  }
  .my-dog {
    padding-bottom: 550px;
    padding-top: 40px;
  }
  .my-dog .img-buttons {
    grid-template-columns: repeat(2, 40%);
    grid-template-rows: repeat(2, 90%);
    top: 30%;
    left: 20%;
    gap: 70% 6%;
    /* height: 17%; */
  }
}
@media screen and (max-width: 605px) {
  .my-dog .img-buttons {
    gap: auto 7%;
    /* height: 17%; */
  }
}

@media screen and (max-width: 650px) {
  .caption {
    font-size: 80%;
  }
}
@media screen and (max-width: 585px) {
  .description {
    font-size: smaller;
  }
}
@media screen and (max-width: 450px) {
  .my-dog {
    padding-bottom: 550px;
    padding-top: 40px;
  }
  .my-dog .img-buttons {
    grid-template-columns: repeat(2, 40%);
    grid-template-rows: repeat(2, 90%);
    top: 30%;
    left: 10%;
    gap: 60% 10%;
    height: 18%;
  }
}
@media screen and (max-width: 380px) {
  .my-dog .img-buttons {
    height: 15%;
    gap: 100% 20%;
    top: 40%;
  }
}

@media screen and (max-width: 280px) {
  .my-dog .img-buttons {
    height: 11%;
    gap: 120% 20%;
    left: 10%;
  }
}
@media screen and (max-width: 260px) {
  .caption {
    font-size: 40%;
  }
}

#posts {
  display: grid;
  grid-template-columns: 1fr;
  height: 100%;
  overflow: hidden;
  gap: 50px;
}
/* #posts .adult-cat {
  margin-top: 20px;
} */

.large-adult {
  position: relative;
}

.large-adult img {
  width: 100%;
  height: 100%;
}

.large-adult .description {
  position: absolute;
  inset: 0;
  width: 20%;
  left: 71%;
  top: 20%;
  text-align: left;
}

.large-adult .description h3 {
  font-size: 140%;
  text-align: center;
}

@media screen and (max-width: 1240px) {
  .large-adult .description p {
    display: none;
  }
  .large-adult .description h3 {
    font-size: 160%;
    text-align: center;
  }
}
@media screen and (max-width: 910px) {
  .large-adult .description p {
    display: none;
  }
  .large-adult .description h3 {
    font-size: 100%;
  }
}
@media screen and (max-width: 500px) {
  .large-adult .description p {
    display: none;
  }
  .large-adult .description h3 {
    font-size: 70%;
  }
}

.large-junior {
  position: relative;
  margin-top: -50px;
}

.large-junior img {
  width: 100%;
  height: 100%;
}

.large-junior .description {
  position: absolute;
  inset: 0;
  width: 20%;
  left: 71%;
  top: 20%;
  text-align: left;
}

.large-junior .description h3 {
  text-align: center;
}
.large-junior .description p {
  padding-top: 5%;
  font-size: 55%;
}
.large-junior .description h3 {
  font-size: 140%;
}

@media screen and (max-width: 1240px) {
  .large-junior .description p {
    display: none;
  }
  .large-junior .description h3 {
    font-size: 160%;
    text-align: center;
  }
}
@media screen and (max-width: 910px) {
  .large-junior .description p {
    display: none;
  }
  .large-junior .description h3 {
    font-size: 100%;
  }
}
@media screen and (max-width: 500px) {
  .large-junior .description p {
    display: none;
  }
  .large-junior .description h3 {
    font-size: 70%;
  }
}

.small-adult {
  position: relative;
  margin-top: -50px;
}

.small-adult img {
  width: 100%;
  height: 100%;
}

.small-adult .description {
  position: absolute;
  inset: 0;
  width: 20%;
  left: 71%;
  top: 20%;
  text-align: left;
}

.small-adult .description h3 {
  text-align: center;
}
.small-adult .description p {
  padding-top: 5%;
  font-size: 55%;
}
.small-adult .description h3 {
  font-size: 140%;
}

@media screen and (max-width: 1240px) {
  .small-adult .description p {
    display: none;
  }
  .small-adult .description h3 {
    font-size: 160%;
    text-align: center;
  }
}
@media screen and (max-width: 910px) {
  .small-adult .description p {
    display: none;
  }
  .small-adult .description h3 {
    font-size: 100%;
  }
}
@media screen and (max-width: 500px) {
  .small-adult .description p {
    display: none;
  }
  .small-adult .description h3 {
    font-size: 70%;
  }
}

.small-junior {
  position: relative;
  margin-top: -50px;
}

.small-junior img {
  width: 100%;
  height: 100%;
}

.small-junior .description {
  position: absolute;
  inset: 0;
  width: 20%;
  left: 71%;
  top: 20%;
  text-align: left;
}

.small-junior .description h3 {
  text-align: center;
}
.small-junior .description p {
  padding-top: 5%;
  font-size: 55%;
}
.small-junior .description h3 {
  font-size: 140%;
}

@media screen and (max-width: 1240px) {
  .small-junior .description p {
    display: none;
  }
  .small-junior .description h3 {
    font-size: 160%;
    text-align: center;
  }
}
@media screen and (max-width: 910px) {
  .small-junior .description p {
    display: none;
  }
  .small-junior .description h3 {
    font-size: 100%;
  }
}
@media screen and (max-width: 500px) {
  .small-junior .description p {
    display: none;
  }
  .small-junior .description h3 {
    font-size: 70%;
  }
}

.my-cat {
  height: auto;
  position: relative;
  background-color: #bec8bf;
  padding-bottom: 100px;
  padding-top: 60px;
}

.my-cat img {
  width: 100%;
  height: auto;
  z-index: -1;
}

.my-cat .img-buttons {
  position: absolute;
  inset: 0;
  display: grid;
  grid-template-columns: repeat(2, 20%);
  grid-template-rows: 100%;
  left: 30%;
  top: 60%;
  height: 17%;
  width: 70%;
  gap: 10%;
}

.img-buttons .my-cat-buttons {
  border-radius: 50%;
}
.my-cat-buttons img {
  border-radius: 50%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  text-align: center;
  transition: 0.3s ease-in-out;
}
.my-cat-buttons img:hover {
  cursor: pointer;
  transform: scale(1.07);
  transform-origin: bottom;
  box-shadow: 0px 6px 10px black;
}

.caption {
  padding-top: 10%;
}
.caption p {
  font-size: 80%;
  text-align: center;
}
.caption h3 {
  font-size: 110%;
  text-align: center;
  text-wrap: nowrap;
}

@media screen and (max-width: 600px) {
  .adult-cat {
    padding-top: 130px;
    background-color: #bec8bf;
  }
  .adult-cat .description {
    padding-top: 110px;
  }
  .my-cat {
    padding-bottom: 550px;
    padding-top: 70px;
  }
  .my-cat .img-buttons {
    grid-template-columns: repeat(1, 40%);
    grid-template-rows: repeat(2, 90%);
    top: 30%;
    left: 35%;
    gap: 60% 7%;
  }
}
@media screen and (max-width: 650px) {
  .caption {
    font-size: 80%;
  }
}
@media screen and (max-width: 585px) {
  .description {
    font-size: smaller;
  }
}
@media screen and (max-width: 450px) {
  .my-cat {
    padding-bottom: 100px;
    padding-top: 40px;
  }
  .my-cat .img-buttons {
    grid-template-columns: repeat(2, 40%);
    grid-template-rows: repeat(2, 90%);
    top: 50%;
    left: 20%;
    gap: 60% 10%;
    height: 31%;
  }
}
@media screen and (max-width: 390px) {
  .my-cat .img-buttons {
    height: 29%;
    gap: 80% 10%;
  }
}
@media screen and (max-width: 325px) {
  .my-cat .img-buttons {
    height: 26%;
    gap: 120% 8%;
  }
}
@media screen and (max-width: 240px) {
  .my-cat .img-buttons {
    height: 23%;
    gap: 120% 8%;
  }
}
@media screen and (max-width: 260px) {
  .caption {
    font-size: 40%;
  }
}
.adult-cat {
  position: relative;
  margin-top: 0;
}

.adult-cat img {
  width: 100%;
  height: 100%;
}

.adult-cat .description {
  position: absolute;
  inset: 0;
  width: 20%;
  left: 71%;
  top: 20%;
  text-align: justify;
}

.adult-cat .description h3 {
  text-align: center;
}
.adult-cat .description p {
  padding-top: 5%;
  font-size: 55%;
}
.adult-cat .description h3 {
  font-size: 150%;
}

@media screen and (max-width: 1240px) {
  .adult-cat .description p {
    display: none;
  }
  .adult-cat .description h3 {
    font-size: 160%;
    text-align: center;
  }
}
@media screen and (max-width: 910px) {
  .adult-cat .description p {
    display: none;
  }
  .adult-cat .description h3 {
    font-size: 100%;
  }
}
@media screen and (max-width: 500px) {
  .adult-cat .description p {
    display: none;
  }
  .adult-cat .description h3 {
    font-size: 70%;
  }
}
.kitten {
  position: relative;
  margin-top: -50px;
}

.kitten img {
  width: 100%;
  height: 100%;
}

.kitten .description {
  position: absolute;
  inset: 0;
  width: 20%;
  left: 71%;
  top: 20%;
  text-align: justify;
}

.kitten .description h3 {
  text-align: center;
}
.kitten .description p {
  padding-top: 5%;
  font-size: 55%;
}
.kitten .description h3 {
  font-size: 150%;
}

@media screen and (max-width: 1240px) {
  .kitten .description p {
    display: none;
  }
  .kitten .description h3 {
    font-size: 160%;
    text-align: center;
  }
}
@media screen and (max-width: 910px) {
  .kitten .description p {
    display: none;
  }
  .kitten .description h3 {
    font-size: 100%;
  }
}
@media screen and (max-width: 500px) {
  .kitten .description p {
    display: none;
  }
  .kitten .description h3 {
    font-size: 70%;
  }
}

.my-bird img {
  width: 100%;
  height: 100%;
}
.my-rodent img {
  width: 100%;
  height: 100%;
  margin-top: -3px;
}

.mavi-part {
  /* position: relative; */
  margin: 100px;
}

.mavi-part img {
  width: 100%;
  height: 100%;
}

.mavi-part p {
  text-align: justify;
}

@media screen and (max-width: 1107px) {
  .mavi p {
    font-size: 17px;
  }
  .footer {
    margin-top: 600px;
  }
}

@media screen and (max-width: 920px) {
  .mavi p {
    font-size: 15px;
  }
}

@media screen and (max-width: 782px) {
  .mavi p {
    font-size: 12px;
  }
  .mavi-part {
    margin: 70px;
  }
  .footer {
    margin-top: 300px;
  }
}

@media screen and (max-width: 582px) {
  .mavi p {
    font-size: 10px;
  }
}
@media screen and (max-width: 480px) {
  .mavi-part {
    margin: 55px;
  }
  .mavi p {
    font-size: 8px;
  }
  .footer {
    margin-top: 200px;
  }
}
@media screen and (max-width: 330px) {
  .footer {
    margin-top: 1700px;
  }
}
@media screen and (max-width: 260px) {
  .footer {
    margin-top: 2500px;
  }
}
/*----------Footer----------*/
.footer {
  background-color: rgb(63, 63, 63);
  height: 150px;
  text-align: center;
  padding-top: 50px;
  color: #ddd;
  font-size: 20px;
  z-index: 1;
}
.footer a {
  color: #ddd;
  text-decoration: none;
}
.footer a:hover {
  cursor: pointer;
  text-decoration: underline 2px #ddd;
}
.footer a:active {
  transform: scale(1);
}
.footer a:visited {
  color: #ddd;
  text-decoration: none;
}
